Table of Contents

Class: IProtocolFactory | Twisted-0.19.0/twisted/internet/interfaces.py
--- | ---
Interface for protocol factories.
Base Classes |
--- | ---
Interface
Methods |
--- | ---
buildProtocol doStart doStop
| buildProtocol
    buildProtocol ( self,  addr )
### Return an object implementing IProtocol, or None. This method will be called when a connection has been established to addr. If None is returned, the connection is assumed to have been refused, and the Port will close the connection. TODO: Document `addr` argument -- what format is it in? Is the phrase "incoming server connection" correct when Factory is a ClientFactory?
| doStart
    doStart ( self )
Called every time this is connected to a Port or Connector.
| doStop
    doStop ( self )
Called every time this is unconnected from a Port or Connector.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0